Arch: Telaio

From FreeCAD Documentation
Revision as of 21:05, 27 February 2014 by Renatorivo (talk | contribs) (Created page with "# Creare un oggetto tracciato e un oggetto profilo, ad esempio con Draft o con Schizzo # Selezionare l'oggetto tracciato, poi,...")

Carpenteria

Posizione nel menu
Arch → Frame
Ambiente
Arch
Avvio veloce
F R
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Lo strumento Carpenteria è utilizzato per costruire tutti i tipi di oggetti di carpenteria sulla base di un profilo e di un tracciato. Il profilo viene estruso lungo le linee del tracciato che può essere costituita da qualsiasi oggetto 2D, ad esempio, da uno schizzo, o da un oggetto draft. È particolarmente utile per creare ringhiere o pareti di carpenteria. Gli oggetti Carpenteria possono essere poi facilmente trasformati in oggetti muri o strutture.

Nell'immagine sopra, una linea è stata trasformata in unaschiera, poi è stato realizzato un oggetto carpenteria utilizzando la schiera come tracciato e un cerchio come profilo.

Utilizzo

  1. Creare un oggetto tracciato e un oggetto profilo, ad esempio con Draft o con Schizzo
  2. Selezionare l'oggetto tracciato, poi, con CTRL premuto, selezionare l'oggetto profilo
  3. Premere il pulsante Carpenteria, o premere i tasti F poi R

Options

  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Properties

  • DatiBase: The layout this frame is based on.
  • DatiProfile: The profile this frame is based on.
  • DatiAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • DatiOffset: An optional distance between the layout object and the frame object.
  • DatiRotation: The rotation of the profile around its extrusion axis.

Scripting

The Frame tool can by used in macros and from the python console by using the following function:

 makeFrame ( layout,profile )
  • Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
  • Returns the new frame object, or None if the operation failed.

Example:

 import Draft, Arch
 layout = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
 profile = Draft.makeCircle(.2)
 Arch.makeFrame(layout,profile)